/**
 * Utilities that don't require a DOM to run.
 * @author Louis-Dominique Dubeau
 * @license MPL 2.0
 * @copyright Mangalam Research Center for Buddhist Languages
 */
export declare class DataProvider {
    private readonly base;
    private readonly cache;
    private readonly parser;
    private readonly registered;
    constructor(base: string);
    register(name: string, path: string): void;
    getNamed(name: string): Promise<string>;
    getNamedDoc(name: string): Promise<Document>;
    getText(path: string): Promise<string>;
    _getText(path: string): Promise<string>;
    getDoc(path: string): Promise<Document>;
}
export declare type ErrorClass = {
    new (...args: any[]): Error;
};
export declare function makeFakePasteEvent(clipboardData: any): any;
